sc::RenderedObject(3)

NAME
sc::RenderedObject -

SYNOPSIS

Inherits sc::DescribedClass.

Inherited by sc::RenderedMolecule, sc::RenderedObjectSet, sc::RenderedPolygons, sc::RenderedPolylines, and sc::RenderedSphere.

  Public Member Functions
RenderedObject (const Ref< Material > &=0)
RenderedObject (const Ref< KeyVal > &)
const char * name () const
void set_name (const char *)
Ref< Material > material () const
Ref< Appearance > appearance () const
Ref< Transform > transform () const
void material (const Ref< Material > &m)
void appearance (const Ref< Appearance > &a)
void transform (const Ref< Transform > &t)
virtual void print (std::ostream &=ExEnv::out0()) const
Print the object.
virtual void render (const Ref< Render > &)=0

  Protected Attributes
char * name_
Ref< Material > material_
Ref< Appearance > appearance_
Ref< Transform > transform_

  Friends
class Render

Author

Generated automatically by Doxygen for MPQC from the source code.